<?php

Class Admin {
    /*
     * Admin Giriş Fonksiyonu
     * 2 Parametre Alır. Kullanıcı Adı ve Kullanıcı Şifresi
     * $db Veritabanı Bağlantısını Sağlar */
    public function giris ($username,$password){
        global $db;
        $giris = $db->select('admin')
                ->where('username',$username)
                ->where('password',$password)
                ->run(true);
        if($giris){
            // Başarılı ve Session Oluştur
            $_SESSION['admin']    = true;
            $_SESSION['username'] = $username;
            $_SESSION['email']    = $giris['email'];
            $_SESSION['adsoyad']  = $giris['adsoyad'];
            $_SESSION['id']       = $giris['admin_id'];
            $_SESSION['yetki']       = $giris['yetki'];
            git('index.php',2);
			echo '<div class="alert alert-success">
                <strong>Başarılı!</strong> Giriş Yapıldı, Bekleyin..
            </div>';
		   echo "<meta http-equiv='refresh' content=2;URL='index.php'>";
        }else{
            echo '<div class="alert alert-danger">
                <strong>Hata!</strong> Kullanıcı Adı ve Şifre Hatalı.
            </div>';
            git('index.php',1);
        }
    }

    /*  Yöneticileri listele. */
    public function yonetici_listele(){
        global $db;
        $dataList = array();
        $rowCount = 0;
        $Admin_listele = $db->select('admin')
            ->run();
        foreach($Admin_listele as $Admin){
            $dataList[$rowCount] = array('admin_id' => $Admin['admin_id'],
                                         'username' => $Admin['username'],
                                         'password' => $Admin['password'],
                                         'adsoyad'  => $Admin['adsoyad'],
                                         'email'  => $Admin['email'],
                                         'yetki'  => $Admin['yetki']);
            $rowCount++;
        }
        return $dataList;
    }



    /*
     * Admin Oturum Sonlandırma*/
    public function cikis (){
        session_destroy();
        //git('index.php');
		echo "<meta http-equiv='refresh' content=0;URL='index.php'>";
    }


    /*
     * Site Ayarlarına Erişme
     * 1 Parametre Alır. O da Ayar Adı*/
    public function site_ayarlari($par){
        global $db;
        $site_ayarlari = $db->select('site_ayarlari')
            ->where('ayarAdi',$par)
            ->run(true);
        echo $site_ayarlari['ayarText'];
    }

    public function modul_ayarlari($par){
        global $db;
        $modul_ayarlari = $db->select('modul_ayarlari')
            ->where('id',1)
            ->run(true);
            return $modul_ayarlari[$par];
    }


    /* sipariş durumu güncelle*/
      public function siparisdurumguncelle($rb_id,$gelen){
          global $db;
          $site_ayarlari = $db->update('siparisler')
             ->where('siparisler_id',$gelen)
             ->set(array(
                 'siparis_durum' => $rb_id
             ));
      }
      public function siparisdurumual($gelen){
          global $db;
          $durum = $db->select('siparisler')
             ->where('siparisler_id',$gelen)
             ->run(true);
          return $durum["siparis_durum"];
      }



    /*
     * Site Ayarlarını Güncelleme*/
    public function site_ayarlari_duzenle($ayarAdi){
        global $db;

        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','site-baslik')
        ->set(array(
        'ayarText' => $ayarAdi[0]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','site-seo-etiket')
        ->set(array(
        'ayarText' => $ayarAdi[1]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','site-seo-aciklama')
        ->set(array(
        'ayarText' => $ayarAdi[2]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','site-telefon1')
        ->set(array(
        'ayarText' => $ayarAdi[3]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','site-telefon2')
        ->set(array(
        'ayarText' => $ayarAdi[4]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','site-adres')
        ->set(array(
        'ayarText' => $ayarAdi[5]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','site-eposta')
        ->set(array(
        'ayarText' => $ayarAdi[6]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','site-googlemaps')
        ->set(array(
        'ayarText' => $ayarAdi[7]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','site-facebook')
        ->set(array(
        'ayarText' => $ayarAdi[8]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','site-twitter')
        ->set(array(
        'ayarText' => $ayarAdi[9]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','site-instagram')
        ->set(array(
        'ayarText' => $ayarAdi[10]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','site-googleplus')
        ->set(array(
        'ayarText' => $ayarAdi[11]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','site-slogan1')
        ->set(array(
        'ayarText' => $ayarAdi[12]
        ));

        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','site-slogan2')
        ->set(array(
        'ayarText' => $ayarAdi[13]
        ));

        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','site-slogan3')
        ->set(array(
        'ayarText' => $ayarAdi[14]
        ));

        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','calismaPazartesi')
        ->set(array(
        'ayarText' => $ayarAdi[15]
        ));

        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','calismaSali')
        ->set(array(
        'ayarText' => $ayarAdi[16]
        ));

        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','calismaCarsamba')
        ->set(array(
        'ayarText' => $ayarAdi[17]
        ));

        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','calismaPersembe')
        ->set(array(
        'ayarText' => $ayarAdi[18]
        ));

        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','calismaCuma')
        ->set(array(
        'ayarText' => $ayarAdi[19]
        ));

        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','calismaCumartesi')
        ->set(array(
        'ayarText' => $ayarAdi[20]
        ));

        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','calismaPazar')
        ->set(array(
        'ayarText' => $ayarAdi[21]
        ));
      /*  $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','bankaAdi')
        ->set(array(
        'ayarText' => $ayarAdi[22]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','hesapAdi')
        ->set(array(
        'ayarText' => $ayarAdi[23]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','hesapiban')
        ->set(array(
        'ayarText' => $ayarAdi[24]
      ));*/
        // >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> 1
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','ekibimiz-title')
        ->set(array(
        'ayarText' => $ayarAdi[22]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','ekibimiz-keywords')
        ->set(array(
        'ayarText' => $ayarAdi[23]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','ekibimiz-description')
        ->set(array(
        'ayarText' => $ayarAdi[24]
        ));
        // >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> 2
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','referanslar-title')
        ->set(array(
        'ayarText' => $ayarAdi[25]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','referanslar-keywords')
        ->set(array(
        'ayarText' => $ayarAdi[26]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','referanslar-description')
        ->set(array(
        'ayarText' => $ayarAdi[27]
        ));
        // >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> 3
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','hizmetler-title')
        ->set(array(
        'ayarText' => $ayarAdi[28]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','hizmetler-keywords')
        ->set(array(
        'ayarText' => $ayarAdi[29]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','hizmetler-description')
        ->set(array(
        'ayarText' => $ayarAdi[30]
        ));
        // >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> 4
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','blog-title')
        ->set(array(
        'ayarText' => $ayarAdi[31]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','blog-keywords')
        ->set(array(
        'ayarText' => $ayarAdi[32]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','blog-description')
        ->set(array(
        'ayarText' => $ayarAdi[33]
        ));
        // >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> 5
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','fotogaleri-title')
        ->set(array(
        'ayarText' => $ayarAdi[34]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','fotogaleri-keywords')
        ->set(array(
        'ayarText' => $ayarAdi[35]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','fotogaleri-description')
        ->set(array(
        'ayarText' => $ayarAdi[36]
        ));
        // >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> 6
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','videogaleri-title')
        ->set(array(
        'ayarText' => $ayarAdi[37]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','videogaleri-keywords')
        ->set(array(
        'ayarText' => $ayarAdi[38]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','videogaleri-description')
        ->set(array(
        'ayarText' => $ayarAdi[39]
        ));
        // >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> 7
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','iletisim-title')
        ->set(array(
        'ayarText' => $ayarAdi[40]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','iletisim-keywords')
        ->set(array(
        'ayarText' => $ayarAdi[41]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','iletisim-description')
        ->set(array(
        'ayarText' => $ayarAdi[42]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','gonderici_bilgi')
        ->set(array(
        'ayarText' => $ayarAdi[43]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','smtp_server')
        ->set(array(
        'ayarText' => $ayarAdi[44]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','smtp_port')
        ->set(array(
        'ayarText' => $ayarAdi[45]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','smtp_protokol')
        ->set(array(
        'ayarText' => $ayarAdi[46]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','gidecek_e_posta')
        ->set(array(
        'ayarText' => $ayarAdi[47]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','e_posta')
        ->set(array(
        'ayarText' => $ayarAdi[48]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','e_posta_sifre')
        ->set(array(
        'ayarText' => $ayarAdi[49]
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','mailgonderilsinmi')
        ->set(array(
        'ayarText' => $ayarAdi['mailgonder']
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','siparismailgonderilsinmi')
        ->set(array(
        'ayarText' => $ayarAdi['sipmailgonder']
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','tema_renk1')
        ->set(array(
        'ayarText' => $ayarAdi['temamrenk1']
        ));
        $site_ayarlari = $db->update('site_ayarlari')
        ->where('ayarAdi','tema_renk2')
        ->set(array(
        'ayarText' => $ayarAdi['temamrenk2']
      ));

        if($ayarAdi['logo'] != "")
        {
          $site_ayarlari = $db->update('site_ayarlari')
             ->where('ayarAdi','logo')
             ->set(array(
                 'ayarText' => $ayarAdi['logo']
             ));
        }

        if($ayarAdi['footerlogo'] != "")
        {
          $site_ayarlari = $db->update('site_ayarlari')
             ->where('ayarAdi','footerlogo')
             ->set(array(
                 'ayarText' => $ayarAdi['footerlogo']
          ));
        }

        if($ayarAdi['favicon'] != "")
        {
          $site_ayarlari = $db->update('site_ayarlari')
             ->where('ayarAdi','favicon')
             ->set(array(
                 'ayarText' => $ayarAdi['favicon']
          ));
        }




        if($site_ayarlari){
            echo '<div class="alert alert-success">
                <strong>Tebrikler!</strong> Site ayarlarınız güncellendi, Lütfen Bekleyin...
            </div>';
            git('index.php?do=site-ayarlari',1);
        }else{
            echo '<div class="alert alert-danger">
                <strong>Hata!</strong> Lütfen daha sonra tekrar deneyiniz.
            </div>';
            git('index.php?do=site-ayarlari',1);
        }
    }

    /* Toplam Kategori Sayısı*/
    public function toplam_kategori(){
        global $db;
        $kategori_toplam = $db->select('sayfalar')
            ->where('sayfa_type',1)
            ->from('count(sayfa_id) as total')
            ->total();
        return $kategori_toplam;
    }

    /* Toplam Sayfa Sayısı*/
    public function toplam_sayfa(){
        global $db;
        $sayfa_toplam = $db->select('sayfalar')
            ->where('sayfa_type',0)
            ->from('count(sayfa_id) as total')
            ->total();
        return $sayfa_toplam;
    }

    /* Toplam Ürün Sayısı*/
    public function toplam_urun(){
        global $db;
        $urun_toplam = $db->select('urunler')
            ->from('count(urun_id) as total')
            ->total();
        return $urun_toplam;
    }
	/* Toplam Genel Mesaj Sayısı*/
    public function toplam_iletisim(){
        global $db;
        $iletisim_toplam = $db->select('iletisim')
            ->from('count(iletisim_id) as total')
            ->total();
        return $iletisim_toplam;
    }
    /* Toplam Blog */
      public function toplam_blog(){
          global $db;
          $blog_toplam = $db->select('blog')
              ->from('count(blog_id) as total')
              ->total();
          return $blog_toplam;
      }
      /* Toplam Siparis*/
        public function toplam_siparisler(){
            global $db;
            $siparisler_toplam = $db->select('siparisler')
                ->from('count(siparisler_id) as total')
                ->total();
            return $siparisler_toplam;
        }
        /* Toplam Sayfa Sayısı*/
        public function tekil_ziyaretci_gunluk(){
            global $db;
            $ziyaretci = $db->select('tekil_sayac')
                ->where('tarih',tarih(0,0,0,"Y-m-d"))
                ->from('count(id) as total')
                ->total();
            return $ziyaretci;
        }
        /* Toplam Sayfa Sayısı*/
        public function tekil_ziyaretci_toplam(){
            global $db;
            $ziyaretci = $db->select('tekil_sayac')
                ->from('count(id) as total')
                ->total();
            return $ziyaretci;
        }




}

?>
